SDL_GetClipboardData(3)

NAME
SDL_GetClipboardData - Get the data from clipboard for a given mime type.

HEADER FILE
Defined in SDL3/SDL_clipboard.h

SYNOPSIS
#include "SDL3/SDL.h"

void* SDL_GetClipboardData(const char *mime_type, size_t *size);

DESCRIPTION
The size of text data does not include the terminator, but the text is guaranteed to be null terminated.

FUNCTION PARAMETERS

mime_type
    The mime type to read from the clipboard

size
    A pointer filled in with the length of the returned data

RETURN VALUE
Returns the retrieved data buffer or NULL on failure; call SDL_GetError () for more information. Caller must call SDL_free () on the returned pointer when done with it.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_HasClipboardData(3), SDL_SetClipboardData(3)